> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get volume

> Retrieve detailed information about a specific volume.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/volumes/{project_id}/{region_id}/{volume_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/volumes/{project_id}/{region_id}/{volume_id}:
    get:
      tags:
        - Volumes
      summary: Get volume
      description: Retrieve detailed information about a specific volume.
      operationId: VolumeInstanceViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: volume_id
          required: true
          description: Volume ID
          schema:
            description: Volume ID
            example: 726ecfcc-7fd0-4e30-a86e-7892524aa483
            examples:
              - 726ecfcc-7fd0-4e30-a86e-7892524aa483
            format: uuid4
            title: Volume Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VolumeSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            volume = client.cloud.volumes.get(
                volume_id="726ecfcc-7fd0-4e30-a86e-7892524aa483",
                project_id=1,
                region_id=1,
            )
            print(volume.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tvolume, err := client.Cloud.Volumes.Get(\n\t\tcontext.TODO(),\n\t\t\"726ecfcc-7fd0-4e30-a86e-7892524aa483\",\n\t\tcloud.VolumeGetParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(1),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", volume.ID)\n}\n"
components:
  schemas:
    VolumeSerializer:
      properties:
        attachments:
          anyOf:
            - items:
                $ref: '#/components/schemas/VolumeAttachmentSerializer'
              type: array
            - type: 'null'
          default: null
          description: List of attachments associated with the volume.
          title: Attachments
        bootable:
          description: Indicates whether the volume is bootable.
          example: false
          examples:
            - false
          title: Bootable
          type: boolean
        created_at:
          description: The date and time when the volume was created.
          example: 2019-05-29T05:32:41+0000
          examples:
            - 2019-05-29T05:32:41+0000
          format: date-time
          title: Created At
          type: string
        creator_task_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The ID of the task that created this volume.
          examples:
            - d74c2bb9-cea7-4b23-a009-2f13518ae66d
          title: Creator Task Id
        id:
          description: The unique identifier of the volume.
          example: 726ecfcc-7fd0-4e30-a86e-7892524aa483
          examples:
            - 726ecfcc-7fd0-4e30-a86e-7892524aa483
          title: Id
          type: string
        is_root_volume:
          description: Indicates whether this is a root volume.
          example: false
          examples:
            - false
          title: Is Root Volume
          type: boolean
        limiter_stats:
          anyOf:
            - $ref: '#/components/schemas/VolumeLimiterStatsSerializer'
            - type: 'null'
          default: null
          description: Quality of Service (QoS) parameters for this volume.
        name:
          description: The name of the volume.
          example: volume-1
          examples:
            - volume-1
          title: Name
          type: string
        project_id:
          description: Project ID.
          example: 1
          examples:
            - 1
          title: Project Id
          type: integer
        region:
          description: The region where the volume is located.
          example: Luxembourg
          examples:
            - Luxembourg
          title: Region
          type: string
        region_id:
          description: The identifier of the region.
          example: 1
          examples:
            - 1
          title: Region Id
          type: integer
        size:
          description: The size of the volume in gibibytes (GiB).
          example: 50
          examples:
            - 50
          title: Size
          type: integer
        snapshot_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          description: List of snapshot IDs associated with this volume.
          title: Snapshot Ids
        status:
          $ref: '#/components/schemas/VolumeStatus'
          description: The current status of the volume.
          examples:
            - available
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        task_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          title: Task Id
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: The date and time when the volume was last updated.
          examples:
            - 2019-05-29T05:39:20+0000
          title: Updated At
        volume_image_metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          default: null
          description: Image metadata for volumes created from an image.
          examples:
            - checksum: ba3cd24377dde5dfdd58728894004abb
              container_format: bare
              disk_format: raw
              image_id: 723037e2-ec6d-47eb-92de-6276c8907839
              image_name: cirros-gcloud
              min_disk: '1'
              min_ram: '0'
              size: '46137344'
          title: Volume Image Metadata
        volume_type:
          description: The type of volume storage.
          example: standard
          examples:
            - standard
          title: Volume Type
          type: string
      required:
        - bootable
        - created_at
        - id
        - is_root_volume
        - tags
        - name
        - project_id
        - region
        - region_id
        - size
        - status
        - volume_type
      title: VolumeSerializer
      type: object
    VolumeAttachmentSerializer:
      properties:
        attached_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: The date and time when the attachment was created.
          examples:
            - 2019-07-26T14:22:03+0000
          title: Attached At
        attachment_id:
          description: The unique identifier of the attachment object.
          example: f2ed59d9-8068-400c-be4b-c4501ef6f33c
          examples:
            - f2ed59d9-8068-400c-be4b-c4501ef6f33c
          title: Attachment Id
          type: string
        device:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The block device name inside the guest instance.
          examples:
            - /dev/vda
          title: Device
        flavor_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The flavor ID of the instance.
          examples:
            - g1-standard-1-2
          title: Flavor Id
        instance_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The name of the instance if attached and the server name is known.
          examples:
            - instance-1
          title: Instance Name
        server_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The unique identifier of the instance.
          examples:
            - 8dc30d49-bb34-4920-9bbd-03a2587ec0ad
          title: Server Id
        volume_id:
          description: The unique identifier of the attached volume.
          example: 67baa7d1-08ea-4fc5-bef2-6b2465b7d227
          examples:
            - 67baa7d1-08ea-4fc5-bef2-6b2465b7d227
          title: Volume Id
          type: string
      required:
        - attachment_id
        - volume_id
      title: VolumeAttachmentSerializer
      type: object
    VolumeLimiterStatsSerializer:
      description: >-
        Schema representing the Quality of Service (QoS) parameters for a
        volume.
      properties:
        MBps_base_limit:
          description: The sustained bandwidth limit in megabytes per second (MBps).
          example: 50
          examples:
            - 50
          title: Mbps Base Limit
          type: integer
        MBps_burst_limit:
          description: The burst bandwidth limit in megabytes per second (MBps).
          example: 200
          examples:
            - 200
          title: Mbps Burst Limit
          type: integer
        iops_base_limit:
          description: The sustained IOPS (Input/Output Operations Per Second) limit.
          example: 1000
          examples:
            - 1000
          title: Iops Base Limit
          type: integer
        iops_burst_limit:
          description: The burst IOPS limit.
          example: 5000
          examples:
            - 5000
          title: Iops Burst Limit
          type: integer
      required:
        - iops_base_limit
        - iops_burst_limit
        - MBps_base_limit
        - MBps_burst_limit
      title: VolumeLimiterStatsSerializer
      type: object
    VolumeStatus:
      enum:
        - attaching
        - available
        - awaiting-transfer
        - backing-up
        - creating
        - deleting
        - detaching
        - downloading
        - error
        - error_backing-up
        - error_deleting
        - error_extending
        - error_restoring
        - extending
        - in-use
        - maintenance
        - reserved
        - restoring-backup
        - retyping
        - reverting
        - uploading
      title: VolumeStatus
      type: string
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````